Index: vendor/google/apiclient-services/src/Licensing/LicenseAssignment.php
===================================================================
--- vendor/google/apiclient-services/src/Licensing/LicenseAssignment.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Licensing/LicenseAssignment.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,170 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Licensing;
+
+class LicenseAssignment extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $etags;
+  /**
+   * @var string
+   */
+  public $kind;
+  /**
+   * @var string
+   */
+  public $productId;
+  /**
+   * @var string
+   */
+  public $productName;
+  /**
+   * @var string
+   */
+  public $selfLink;
+  /**
+   * @var string
+   */
+  public $skuId;
+  /**
+   * @var string
+   */
+  public $skuName;
+  /**
+   * @var string
+   */
+  public $userId;
+
+  /**
+   * @param string
+   */
+  public function setEtags($etags)
+  {
+    $this->etags = $etags;
+  }
+  /**
+   * @return string
+   */
+  public function getEtags()
+  {
+    return $this->etags;
+  }
+  /**
+   * @param string
+   */
+  public function setKind($kind)
+  {
+    $this->kind = $kind;
+  }
+  /**
+   * @return string
+   */
+  public function getKind()
+  {
+    return $this->kind;
+  }
+  /**
+   * @param string
+   */
+  public function setProductId($productId)
+  {
+    $this->productId = $productId;
+  }
+  /**
+   * @return string
+   */
+  public function getProductId()
+  {
+    return $this->productId;
+  }
+  /**
+   * @param string
+   */
+  public function setProductName($productName)
+  {
+    $this->productName = $productName;
+  }
+  /**
+   * @return string
+   */
+  public function getProductName()
+  {
+    return $this->productName;
+  }
+  /**
+   * @param string
+   */
+  public function setSelfLink($selfLink)
+  {
+    $this->selfLink = $selfLink;
+  }
+  /**
+   * @return string
+   */
+  public function getSelfLink()
+  {
+    return $this->selfLink;
+  }
+  /**
+   * @param string
+   */
+  public function setSkuId($skuId)
+  {
+    $this->skuId = $skuId;
+  }
+  /**
+   * @return string
+   */
+  public function getSkuId()
+  {
+    return $this->skuId;
+  }
+  /**
+   * @param string
+   */
+  public function setSkuName($skuName)
+  {
+    $this->skuName = $skuName;
+  }
+  /**
+   * @return string
+   */
+  public function getSkuName()
+  {
+    return $this->skuName;
+  }
+  /**
+   * @param string
+   */
+  public function setUserId($userId)
+  {
+    $this->userId = $userId;
+  }
+  /**
+   * @return string
+   */
+  public function getUserId()
+  {
+    return $this->userId;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(LicenseAssignment::class, 'Google_Service_Licensing_LicenseAssignment');
Index: vendor/google/apiclient-services/src/Licensing/LicenseAssignmentInsert.php
===================================================================
--- vendor/google/apiclient-services/src/Licensing/LicenseAssignmentInsert.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Licensing/LicenseAssignmentInsert.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Licensing;
+
+class LicenseAssignmentInsert extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $userId;
+
+  /**
+   * @param string
+   */
+  public function setUserId($userId)
+  {
+    $this->userId = $userId;
+  }
+  /**
+   * @return string
+   */
+  public function getUserId()
+  {
+    return $this->userId;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(LicenseAssignmentInsert::class, 'Google_Service_Licensing_LicenseAssignmentInsert');
Index: vendor/google/apiclient-services/src/Licensing/LicenseAssignmentList.php
===================================================================
--- vendor/google/apiclient-services/src/Licensing/LicenseAssignmentList.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Licensing/LicenseAssignmentList.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,97 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Licensing;
+
+class LicenseAssignmentList extends \Google\Collection
+{
+  protected $collection_key = 'items';
+  /**
+   * @var string
+   */
+  public $etag;
+  protected $itemsType = LicenseAssignment::class;
+  protected $itemsDataType = 'array';
+  /**
+   * @var string
+   */
+  public $kind;
+  /**
+   * @var string
+   */
+  public $nextPageToken;
+
+  /**
+   * @param string
+   */
+  public function setEtag($etag)
+  {
+    $this->etag = $etag;
+  }
+  /**
+   * @return string
+   */
+  public function getEtag()
+  {
+    return $this->etag;
+  }
+  /**
+   * @param LicenseAssignment[]
+   */
+  public function setItems($items)
+  {
+    $this->items = $items;
+  }
+  /**
+   * @return LicenseAssignment[]
+   */
+  public function getItems()
+  {
+    return $this->items;
+  }
+  /**
+   * @param string
+   */
+  public function setKind($kind)
+  {
+    $this->kind = $kind;
+  }
+  /**
+   * @return string
+   */
+  public function getKind()
+  {
+    return $this->kind;
+  }
+  /**
+   * @param string
+   */
+  public function setNextPageToken($nextPageToken)
+  {
+    $this->nextPageToken = $nextPageToken;
+  }
+  /**
+   * @return string
+   */
+  public function getNextPageToken()
+  {
+    return $this->nextPageToken;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(LicenseAssignmentList::class, 'Google_Service_Licensing_LicenseAssignmentList');
Index: vendor/google/apiclient-services/src/Licensing/LicensingEmpty.php
===================================================================
--- vendor/google/apiclient-services/src/Licensing/LicensingEmpty.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Licensing/LicensingEmpty.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,25 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Licensing;
+
+class LicensingEmpty extends \Google\Model
+{
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(LicensingEmpty::class, 'Google_Service_Licensing_LicensingEmpty');
Index: vendor/google/apiclient-services/src/Licensing/Resource/LicenseAssignments.php
===================================================================
--- vendor/google/apiclient-services/src/Licensing/Resource/LicenseAssignments.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Licensing/Resource/LicenseAssignments.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,204 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Licensing\Resource;
+
+use Google\Service\Licensing\LicenseAssignment;
+use Google\Service\Licensing\LicenseAssignmentInsert;
+use Google\Service\Licensing\LicenseAssignmentList;
+use Google\Service\Licensing\LicensingEmpty;
+
+/**
+ * The "licenseAssignments" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $licensingService = new Google\Service\Licensing(...);
+ *   $licenseAssignments = $licensingService->licenseAssignments;
+ *  </code>
+ */
+class LicenseAssignments extends \Google\Service\Resource
+{
+  /**
+   * Revoke a license. (licenseAssignments.delete)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param string $userId The user's current primary email address. If the user's
+   * email address changes, use the new email address in your API requests. Since
+   * a `userId` is subject to change, do not use a `userId` value as a key for
+   * persistent data. This key could break if the current user's email address
+   * changes. If the `userId` is suspended, the license status changes.
+   * @param array $optParams Optional parameters.
+   * @return LicensingEmpty
+   * @throws \Google\Service\Exception
+   */
+  public function delete($productId, $skuId, $userId, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'userId' => $userId];
+    $params = array_merge($params, $optParams);
+    return $this->call('delete', [$params], LicensingEmpty::class);
+  }
+  /**
+   * Get a specific user's license by product SKU. (licenseAssignments.get)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param string $userId The user's current primary email address. If the user's
+   * email address changes, use the new email address in your API requests. Since
+   * a `userId` is subject to change, do not use a `userId` value as a key for
+   * persistent data. This key could break if the current user's email address
+   * changes. If the `userId` is suspended, the license status changes.
+   * @param array $optParams Optional parameters.
+   * @return LicenseAssignment
+   * @throws \Google\Service\Exception
+   */
+  public function get($productId, $skuId, $userId, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'userId' => $userId];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], LicenseAssignment::class);
+  }
+  /**
+   * Assign a license. (licenseAssignments.insert)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param LicenseAssignmentInsert $postBody
+   * @param array $optParams Optional parameters.
+   * @return LicenseAssignment
+   * @throws \Google\Service\Exception
+   */
+  public function insert($productId, $skuId, LicenseAssignmentInsert $postBody, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('insert', [$params], LicenseAssignment::class);
+  }
+  /**
+   * List all users assigned licenses for a specific product SKU.
+   * (licenseAssignments.listForProduct)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $customerId The customer's unique ID as defined in the Admin
+   * console, such as `C00000000`. If the customer is suspended, the server
+   * returns an error.
+   * @param array $optParams Optional parameters.
+   *
+   * @opt_param string maxResults The `maxResults` query string determines how
+   * many entries are returned on each page of a large response. This is an
+   * optional parameter. The value must be a positive number.
+   * @opt_param string pageToken Token to fetch the next page of data. The
+   * `maxResults` query string is related to the `pageToken` since `maxResults`
+   * determines how many entries are returned on each page. This is an optional
+   * query string. If not specified, the server returns the first page.
+   * @return LicenseAssignmentList
+   * @throws \Google\Service\Exception
+   */
+  public function listForProduct($productId, $customerId, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'customerId' => $customerId];
+    $params = array_merge($params, $optParams);
+    return $this->call('listForProduct', [$params], LicenseAssignmentList::class);
+  }
+  /**
+   * List all users assigned licenses for a specific product SKU.
+   * (licenseAssignments.listForProductAndSku)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param string $customerId The customer's unique ID as defined in the Admin
+   * console, such as `C00000000`. If the customer is suspended, the server
+   * returns an error.
+   * @param array $optParams Optional parameters.
+   *
+   * @opt_param string maxResults The `maxResults` query string determines how
+   * many entries are returned on each page of a large response. This is an
+   * optional parameter. The value must be a positive number.
+   * @opt_param string pageToken Token to fetch the next page of data. The
+   * `maxResults` query string is related to the `pageToken` since `maxResults`
+   * determines how many entries are returned on each page. This is an optional
+   * query string. If not specified, the server returns the first page.
+   * @return LicenseAssignmentList
+   * @throws \Google\Service\Exception
+   */
+  public function listForProductAndSku($productId, $skuId, $customerId, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'customerId' => $customerId];
+    $params = array_merge($params, $optParams);
+    return $this->call('listForProductAndSku', [$params], LicenseAssignmentList::class);
+  }
+  /**
+   * Reassign a user's product SKU with a different SKU in the same product. This
+   * method supports patch semantics. (licenseAssignments.patch)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param string $userId The user's current primary email address. If the user's
+   * email address changes, use the new email address in your API requests. Since
+   * a `userId` is subject to change, do not use a `userId` value as a key for
+   * persistent data. This key could break if the current user's email address
+   * changes. If the `userId` is suspended, the license status changes.
+   * @param LicenseAssignment $postBody
+   * @param array $optParams Optional parameters.
+   * @return LicenseAssignment
+   * @throws \Google\Service\Exception
+   */
+  public function patch($productId, $skuId, $userId, LicenseAssignment $postBody, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'userId' => $userId, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('patch', [$params], LicenseAssignment::class);
+  }
+  /**
+   * Reassign a user's product SKU with a different SKU in the same product.
+   * (licenseAssignments.update)
+   *
+   * @param string $productId A product's unique identifier. For more information
+   * about products in this version of the API, see Products and SKUs.
+   * @param string $skuId A product SKU's unique identifier. For more information
+   * about available SKUs in this version of the API, see Products and SKUs.
+   * @param string $userId The user's current primary email address. If the user's
+   * email address changes, use the new email address in your API requests. Since
+   * a `userId` is subject to change, do not use a `userId` value as a key for
+   * persistent data. This key could break if the current user's email address
+   * changes. If the `userId` is suspended, the license status changes.
+   * @param LicenseAssignment $postBody
+   * @param array $optParams Optional parameters.
+   * @return LicenseAssignment
+   * @throws \Google\Service\Exception
+   */
+  public function update($productId, $skuId, $userId, LicenseAssignment $postBody, $optParams = [])
+  {
+    $params = ['productId' => $productId, 'skuId' => $skuId, 'userId' => $userId, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('update', [$params], LicenseAssignment::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(LicenseAssignments::class, 'Google_Service_Licensing_Resource_LicenseAssignments');
